Subject: bug#12937: 24.2; Fontification performed in 'jit-lock-defer-time' in any case (don't wait while Emacs become really idle).

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 30 Oct 2019 23:45:09 +0100

Stefan Monnier <[email-masked]> writes:

> I don't see that.  I'm not sure how you tried, it but I did
>
>   src/emacs -Q --eval '(setq jit-lock-defer-time 0.01)' src/xdisp.c
>
> and scrolling with page-down indeed is jerky and I see that the buffer
> is getting fontified (at least occasionally).  But if I try again with
>
>   src/emacs -Q --eval '(setq jit-lock-defer-time 0.1)' src/xdisp.c
>
> then the scrolling is fast&smooth and it only gets fontified when
> I stop scrolling.

I tried this in Emacs 27 (on a pretty fast laptop), and I got no
jerkiness when holding <down> (and things are fontified as I scroll).  I
also tried 0.001.

So is this still a problem?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no